#{---------------------------------------------------------------------------
#
# Copyright 2011 john@drivenupthewall,  No Rights Reserved.
#
# TERMS:  You may not alter, publish, market, distribute, give, transfer,
#         sell or sublicense the Scripts or any part of this Script.
#
# THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
#
# ----------------------------------------------------------------------------
#
# Name        : on_off
# Based On    : bits nicked from Jim, Alex, Dan + an idea by me
# Type        : Debug Assistant Tool
# Author      : John Boundy   driven@SCF
# Email       : 
# Website     : 
# Blog        : n/a
#
# Maintenance : Please report all bugs or strange behavior to  
#
# Version     : 0.0.1
#
# Menu Items  : Tool Pallets -> All Rubies on/off
#
# Toolbar     : Three Items-   ON   OFF  Load as_pluginloader
#
# Context-Menu: n/a
#
# Description :  Started as a simple mac debug aid, but may have more potential
#
# To Install  : Use SU Extension Manager to load on_off.rbz  
#
# IMPORTANT NOTE: to be of use this is installed in 'Tools' not 'Plugins', it can be turned on and off 'itself' there.
#}----------------------------------------------------------------------------
module JcB
path = "Tools/on_off"
onicon = Sketchup.find_support_file("images/on.png", path)
officon = Sketchup.find_support_file("images/off.png", path)
rLoadicon = Sketchup.find_support_file("images/rLoad.png", path)

rtb = UI::Toolbar.new("All Rubies on/off")

#added shell script for restarting mac  DID'T WORK from ruby 'shell' blocks SU closing:> system("\"/Library/Application\ Enhancers/sumac/scripts/sum0n0ff.app\"")

roncmd = UI::Command.new("rbON") {Sketchup.plugins_disabled = false;
Sketchup.send_action('terminate:');
 }
roffcmd = UI::Command.new("rbOFF") {Sketchup.plugins_disabled = true;
Sketchup.send_action('terminate:');
 }
 rLoadcmd = UI::Command.new("rLoad") {load '/Library/Application Support/Google SketchUp 8/SketchUp/plugins/as_plugins/as_pluginloader/as_pluginloader.rb';
 } 
 
roncmd.small_icon = onicon
roncmd.large_icon = onicon
roffcmd.small_icon = officon
roffcmd.large_icon = officon
rLoadcmd.small_icon = rLoadicon
rLoadcmd.large_icon = rLoadicon

roncmd.tooltip = roncmd.status_bar_text = "Turn ON All Rudies Next Start"
rtb.add_item(roncmd)

roffcmd.tooltip = roffcmd.status_bar_text = "Turn OFF All Rudies Next Start"
rtb.add_item(roffcmd)

rLoadcmd.tooltip = rLoadcmd.status_bar_text = "Load as_pluginloader.rb"
rtb.add_item(rLoadcmd)
rtb.show
end #module JcB